"""
Help the Finch robot navigate a maze.

CS 101, Lab12, maze.py
Name:
"""

import finch
import time

# connect to the Finch robot
robot = finch.Finch()

# keep running until done
done = False
while not done:

    # read current sensor values
    left_light, right_light = robot.light()
    left_obstacle, right_obstacle = robot.obstacle()

    # did it just get too dark?
    if left_light < 0.25 and right_light < 0.25:
        done = True

    # RED: is something in the way?
    elif left_obstacle or right_obstacle:
        robot.led(255, 0, 0)
        robot.wheels(-0.75, -0.75)
        time.sleep(0.50)

    # GREEN: all clear, move ahead!
    else:
        robot.led(0, 255, 0)
        robot.wheels(0.75, 0.75)
        time.sleep(0.05)

# grand finale
robot.buzzer(1.5, 10000)
robot.halt()
